<?php  
	include "conexion.php";
	include "insertar_log.php";

	$id_aplicacion = $_GET['id_aplicacion'];

	$datos = " Ingresa a obtener_fin_transaccion ";	
		insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "tran_transaccion,";
	$sql .= "tran_remota, ";
	$sql .= "id_bomba, ";
	$sql .= "tran_venta ";
	$sql .= "from ";
	$sql .= "bombas ";
	$sql .= "where ";
	$sql .= "operacion_transaccion=3 ";
	$sql .= "and tran_aplicacion=".$id_aplicacion." ";
	$sql .= "order by tran_transaccion,tran_remota limit 1 ";	

	$array = array();

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar operacion_transaccion ";	
		insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar","");
        return;
    }
	
	$cont=0;
    while ($row=$resultado->fetch_assoc())
    {
        $impresion["tran_transaccion"] = $row['tran_transaccion'];
        $impresion["tran_remota"] = $row['tran_remota'];
        $impresion["id_bomba"] = $row['id_bomba'];
        $array[$cont]= $impresion;
        $cont++;
    }

    $resultado->free();

    for($i=0;$i<sizeof($array);$i++)
    {
    	$id_transaccion = $array[$i]["tran_transaccion"];
    	$id_transaccion_remota = $array[$i]["tran_remota"];
    	$id_bomba = $array[$i]["id_bomba"];


    	if($id_transaccion!=0)
    	{
    		$req = "110|1|".$id_transaccion."|0|";
    	}

    	if($id_transaccion_remota==1)
    	{
    		$req = "110|4|".$id_transaccion."|0|";
    	}

    	$id_comando = 8116;
		$id_equipo_clase = 2;
		$id_equipo = 1;

		if($req=="")
		{
			$datos = " Error Request requerido ";	
			insertarLog($datos,$id_aplicacion);
			echo response(1,"Request requerido","");
	        return;
		}


		$id_secuencia = 0;


		$sql = "insert into ";
	    $sql .= "comandos (";
	    $sql .= "id_aplicacion, ";
	    $sql .= "id_secuencia, ";
	    $sql .= "id_equipo_clase, ";
	    $sql .= "id_equipo, ";
	    $sql .= "id_comando, ";
	    $sql .= "fecha, ";
	    $sql .= "req_dato, ";
	    $sql .= "res_dato, ";
	    $sql .= "estado ";
	    $sql .= ") values ( ";
	    $sql .= $id_aplicacion.", ";
	    $sql .= "NULL, ";
	    $sql .= $id_equipo_clase.", ";
	    $sql .= $id_equipo.", ";
	    $sql .= $id_comando.", ";
	    $sql .= "now(), ";
	    $sql .= "'".$req."',";
	    $sql .= "'',";
	    $sql .= "0 )";


	    $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al insertar comando ".$id_comando;	
			insertarLog($datos,$id_aplicacion);
	    	echo response(1,"Error al insertar comando","");
	        return;
	    }

	    $datos = " Inserto comando ".$id_comando;	
			insertarLog($datos,$id_aplicacion);

	    $sql = "update ";
	    $sql .= "bombas ";
	    $sql .= "set ";
	    $sql .= "tran_transaccion=0,";
	    $sql .= "tran_remota=0,";
	    $sql .= "operacion_transaccion=0 ";
	    $sql .= "where ";
	    $sql .= "id_bomba=".$id_bomba;

	    $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al actualizar bomba".$id_bomba;	
			insertarLog($datos,$id_aplicacion);
	    	echo response(1,"Error al insertar comando","");
	        return;
	    }
	    $datos = " Actualizo informacion bomba ".$id_bomba;	
			insertarLog($datos,$id_aplicacion);


    }

    $datos = " Termina proceso obtener_fin_transaccion ".$id_bomba;	
			insertarLog($datos,$id_aplicacion);

    response(0,"OK","");


    function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>